Company
List companies
List companies, most recently created first by default.
GET
/
v1
/
companies
cURL
curl --request GET \
--url https://api.claap.io/v1/companies \
--header 'X-Claap-Key: <api-key>'import requests
url = "https://api.claap.io/v1/companies"
headers = {"X-Claap-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Claap-Key': '<api-key>'}};
fetch('https://api.claap.io/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"companies": [
{
"companyId": "<string>",
"contactIds": [
"<string>"
],
"createdAt": "<string>",
"dealIds": [
"<string>"
],
"domains": [
"<string>"
],
"name": "<string>",
"source": {
"kind": "<string>",
"attioId": "<string>",
"attioWorkspaceId": "<string>"
},
"updatedAt": "<string>",
"workspaceId": "<string>",
"crmUrl": "<string>",
"lastInteraction": {
"interactedAt": "<string>",
"source": {}
}
}
],
"pagination": {
"totalCount": 123,
"nextCursor": "<string>"
}
}
}Lists the companies of the workspace, most recently created first by default.
Authorizations
Query Parameters
Paginate the results starting at the cursor returned by a previous call.
Return at most "limit" results.
Required range:
1 <= x <= 100Sort results according to specified rule.
Available options:
created_asc, created_desc, last_interaction_asc, last_interaction_desc, name_asc, name_desc Response
200 - application/json
Companies were successfully retrieved
Show child attributes
Show child attributes
⌘I
cURL
